Bug 1256421 - Incorrect RAM report
Incorrect RAM report
Status: CLOSED ERRATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-ironic-discoverd (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
high Severity high
: async
: 7.0 (Kilo)
Assigned To: Dmitry Tantsur
Omri Hochman
: Triaged
: 1255733 1258647 1259656 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-24 10:25 EDT by Alessandro Vozza
Modified: 2016-11-07 23:08 EST (History)
18 users (show)

See Also:
Fixed In Version: openstack-ironic-discoverd-1.1.0-7.el7ost
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-22 15:44:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ironic report (42.34 KB, text/plain)
2015-08-24 10:25 EDT, Alessandro Vozza
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 1603903 None None None 2016-01-27 17:10 EST

  None (edit)
Description Alessandro Vozza 2015-08-24 10:25:17 EDT
Created attachment 1066407 [details]
ironic report

Description of problem:

After the benchmark of some nodes the memory_mb is set to 512 MB instead of 512GB.

[stack@pvn0014 ~]$ openstack baremetal show 4f16afcf-5b57-4676-96b9-46d603552dab | grep properties
| properties             | {u'memory_mb': u'512', u'cpu_arch': u'x86_64', u'local_gb': u'118', u'cpus': u'48', u'capabilities': u'boot_option:local'}

Where are you experiencing the behavior?  What environment?

Expected to see a long number 528089 or something. I think this will cause issues when assigning flavors that have larger memory then 512mb.
Node has available:
[root@NODE~]# free -m
              total        used        free      shared  buff/cache   available
Mem:         515712        3512      315631         828      196568      510890
Swap:          1023           0        1023

Attaching the extra_hardware-4f16afcf-5b57-4676-96b9-46d603552dab from swift

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 4 Mike Burns 2015-08-31 19:26:59 EDT
*** Bug 1258647 has been marked as a duplicate of this bug. ***
Comment 5 Mike Burns 2015-09-03 07:56:41 EDT
*** Bug 1259656 has been marked as a duplicate of this bug. ***
Comment 6 Mike Burns 2015-10-05 08:51:49 EDT
*** Bug 1255733 has been marked as a duplicate of this bug. ***
Comment 9 Omri Hochman 2015-10-22 13:27:01 EDT
Unable to reproduce with : 
---------------------------
python-ironic-discoverd-1.1.0-8.el7ost.noarch
openstack-ironic-discoverd-1.1.0-8.el7ost.noarch

-----------------------------------------------------
(1) 'openstack baremetal show' 5ab81320-55bb-409e-aa27-c1ad37db50b4 | grep properties

does not have properties at all .. 

(2) ironic node-show shows exact data : 

[stack@rhos-compute-node-18 ~]$ ironic node-show 9d00a66d-cdf6-481e-b1d1-4107c4380131 | grep properties
| properties             | {u'memory_mb': u'24576', u'cpu_arch': u'x86_64', u'local_gb': u'464',    |

[root@overcloud-cephstorage-0 ~]# free -m
              total        used        free      shared  buff/cache   available
Mem:          48091         545       47060           0         485       47294
Swap:             0           0           0
Comment 10 Omri Hochman 2015-10-22 13:29:27 EDT
Correcting my mistake from the previous comment ( it was different host): 


[stack@rhos-compute-node-18 ~]$ ironic node-show e6a17b16-f267-466b-9769-a4767cb259c8 | grep propertie
| properties             | {u'memory_mb': u'49152', u'cpu_arch': u'x86_64', u'local_gb': u'49',     |

[root@overcloud-cephstorage-0 ~]# free -m
              total        used        free      shared  buff/cache   available
Mem:          48091         545       47060           0         485       47294
Swap:             0           0           0
Comment 12 errata-xmlrpc 2015-10-22 15:44:58 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1929

Note You need to log in before you can comment on or make changes to this bug.